<template>
	<b-navbar toggleable="md" type="dark" variant="dark">
		<b-navbar-brand to="/" class="p-0">
			<img src="@/assets/logo.svg" width="50" alt="Logo" class="mr-2">
			mail-cannon
		</b-navbar-brand>

		<b-navbar-toggle target="nav-collapse"/>

		<b-collapse id="nav-collapse" is-nav>
			<b-navbar-nav>
				<template v-if="$route.fullPath.includes('mailbox')">
					<b-nav-item to="/mailbox" :class="{'active': !$route.params.type}">
						All mail
					</b-nav-item>
					<b-nav-item to="/mailbox/inbox" :class="{'active': $route.params.type === 'inbox'}">
						Inbox
					</b-nav-item>
					<b-nav-item to="/mailbox/sent" :class="{'active': $route.params.type === 'sent'}">
						Sent
					</b-nav-item>
				</template>
			</b-navbar-nav>

			<b-navbar-nav class="ml-auto">
				<template v-if="$store.getters['persistent/isLoggedIn']">
					<b-nav-item-dropdown right>
						<template #button-content>
							Hello, {{ $store.state.persistent.me.userRepr }}
						</template>
						<b-dropdown-item to="/mailbox">Mailbox</b-dropdown-item>
						<b-dropdown-item @click.stop.prevent="logout">Log out</b-dropdown-item>
					</b-nav-item-dropdown>
				</template>
				<template v-else>
					<b-nav-item to="/register">Register</b-nav-item>
					<b-nav-item to="/login">Login</b-nav-item>
				</template>
			</b-navbar-nav>
		</b-collapse>
	</b-navbar>
</template>

<script>
export default {
	name: 'Navbar',
	methods: {
		logout() {
			console.info('Logging out...');
			this.$store.commit('persistent/deleteCreds');
			this.$http.defaults.headers['Authorization'] = undefined;
		},
	},
};
</script>

<style scoped>
/*noinspection CssUnusedSymbol*/
>>> .nav-link {
	transition: color .3s;
}

/*noinspection CssUnusedSymbol*/
>>> .dropdown-item.active, .dropdown-item:active {
	background-color: transparent;
	color: #212529;
}
</style>
